Bug 265395 - amarok crashes on song change [@ PhotosEngine::metadataChanged]
Summary: amarok crashes on song change [@ PhotosEngine::metadataChanged]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Context View/Photos (show other bugs)
Version: 2.4.0.90
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-04 12:50 UTC by Sergio Casagrande
Modified: 2011-04-27 23:23 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.4.1


Attachments
New crash information added by DrKonqi (26.03 KB, text/plain)
2011-04-13 19:27 UTC, Joachim Mairböck
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Casagrande 2011-02-04 12:50:19 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.00 (4.6.0)
Qt Version: 4.7.1
Operating System: Linux 2.6.38-1-generic x86_64
Distribution: Ubuntu natty (development branch)

-- Information about the crash:
- What I was doing when the application crashed:
ho cancellato da disco il file che stavo ascoltando.
La riproduzione è continuata fino alla fine del brano, ma al cambio di traccia, amarok è andato in crash

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f31dd6f97a0 (LWP 4658))]

Thread 14 (Thread 0x7f31b2509700 (LWP 4663)):
#0  0x00007f31da114283 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f31d480c250 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f31d480c779 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f31daa63a26 in QEventDispatcherGlib::processEvents (this=0x2341110, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f31daa37ed2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f31daa3810c in QEventLoop::exec (this=0x7f31b2508db0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f31da94f214 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f31daa1a3df in QInotifyFileSystemWatcherEngine::run (this=0x2310f90) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f31da9519ce in QThreadPrivate::start (arg=0x2310f90) at thread/qthread_unix.cpp:285
#9  0x00007f31d5c09d8c in start_thread (arg=0x7f31b2509700) at pthread_create.c:304
#10 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f31a9818700 (LWP 4691)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31d6507412 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f31d6820180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f31d6507449 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f31d682e254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f31d5c09d8c in start_thread (arg=0x7f31a9818700) at pthread_create.c:304
#4  0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f31a2bc6700 (LWP 4792)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31da95208b in wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f31d7bb50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a17210, th=0x237d580) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f31d7bb7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x237d580) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f31d7bb773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x237d580) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f31d7bb653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f31a2bc5e00, parent=0x2a17210, th=0x237d580) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f31d7bb65cb in ThreadWeaver::Thread::run (this=0x237d580) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f31da9519ce in QThreadPrivate::start (arg=0x237d580) at thread/qthread_unix.cpp:285
#9  0x00007f31d5c09d8c in start_thread (arg=0x7f31a2bc6700) at pthread_create.c:304
#10 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f31a23c5700 (LWP 4831)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31da95208b in wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f31d7bb50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a17210, th=0x2400de0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f31d7bb7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x2400de0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f31d7bb653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f31a23c4e00, parent=0x2a17210, th=0x2400de0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f31d7bb65cb in ThreadWeaver::Thread::run (this=0x2400de0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f31da9519ce in QThreadPrivate::start (arg=0x2400de0) at thread/qthread_unix.cpp:285
#8  0x00007f31d5c09d8c in start_thread (arg=0x7f31a23c5700) at pthread_create.c:304
#9  0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f31a1bc4700 (LWP 4867)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31da95208b in wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f31d7bb50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a17210, th=0x2dadcc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f31d7bb7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x2dadcc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f31d7bb773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x2dadcc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f31d7bb653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f31a1bc3e00, parent=0x2a17210, th=0x2dadcc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f31d7bb65cb in ThreadWeaver::Thread::run (this=0x2dadcc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f31da9519ce in QThreadPrivate::start (arg=0x2dadcc0) at thread/qthread_unix.cpp:285
#9  0x00007f31d5c09d8c in start_thread (arg=0x7f31a1bc4700) at pthread_create.c:304
#10 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f31a13c3700 (LWP 4889)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31da95208b in wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x239f700, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f31d7bb50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a17210, th=0x2a4bd00) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f31d7bb7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x2a4bd00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f31d7bb773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x2e372c0, th=0x2a4bd00) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f31d7bb653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f31a13c2e00, parent=0x2a17210, th=0x2a4bd00) at ../../../threadweaver/Weaver/Thread.cpp:87
#7  0x00007f31d7bb65cb in ThreadWeaver::Thread::run (this=0x2a4bd00) at ../../../threadweaver/Weaver/Thread.cpp:142
#8  0x00007f31da9519ce in QThreadPrivate::start (arg=0x2a4bd00) at thread/qthread_unix.cpp:285
#9  0x00007f31d5c09d8c in start_thread (arg=0x7f31a13c3700) at pthread_create.c:304
#10 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f31a5089700 (LWP 4923)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31c2e0d117 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#2  0x00007f31d4835d96 in ?? () from /lib/libglib-2.0.so.0
#3  0x00007f31d4833664 in ?? () from /lib/libglib-2.0.so.0
#4  0x00007f31d5c09d8c in start_thread (arg=0x7f31a5089700) at pthread_create.c:304
#5  0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f31a43c9700 (LWP 4924)):
#0  0x00007f31da114283 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f31d1c3a29f in ?? () from /usr/lib/libpulse.so.0
#2  0x00007f31d1c2c0b6 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x00007f31d1c2c6e9 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x00007f31d1c2c7a0 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x00007f31d1c3a24f in ?? () from /usr/lib/libpulse.so.0
#6  0x00007f31cd5eb9e8 in ?? () from /usr/lib/libpulsecommon-0.9.22.so
#7  0x00007f31d5c09d8c in start_thread (arg=0x7f31a43c9700) at pthread_create.c:304
#8  0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f31a33c7700 (LWP 4925)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31b3bd646d in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f31b3be132d in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f31b3be178f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#6  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f31b3bd73fd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#8  0x00007f31c2e0cf80 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f31d4835d96 in ?? () from /lib/libglib-2.0.so.0
#10 0x00007f31d4833664 in ?? () from /lib/libglib-2.0.so.0
#11 0x00007f31d5c09d8c in start_thread (arg=0x7f31a33c7700) at pthread_create.c:304
#12 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f31a3bc8700 (LWP 4926)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31c2b5e19f in gst_base_sink_wait_preroll () from /usr/lib/libgstbase-0.10.so.0
#2  0x00007f31c251b3f8 in ?? () from /usr/lib/libgstaudio-0.10.so.0
#3  0x00007f31c2b5fc99 in ?? () from /usr/lib/libgstbase-0.10.so.0
#4  0x00007f31c2b6207f in ?? () from /usr/lib/libgstbase-0.10.so.0
#5  0x00007f31c2b623d7 in ?? () from /usr/lib/libgstbase-0.10.so.0
#6  0x00007f31c2b627cf in ?? () from /usr/lib/libgstbase-0.10.so.0
#7  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#8  0x00007f31c2b6f826 in ?? () from /usr/lib/libgstbase-0.10.so.0
#9  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#10 0x00007f31c2b6f826 in ?? () from /usr/lib/libgstbase-0.10.so.0
#11 0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#12 0x00007f31c2b6f826 in ?? () from /usr/lib/libgstbase-0.10.so.0
#13 0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#14 0x00007f31b3bd73fd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#15 0x00007f31c2e0cf80 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#16 0x00007f31d4835d96 in ?? () from /lib/libglib-2.0.so.0
#17 0x00007f31d4833664 in ?? () from /lib/libglib-2.0.so.0
#18 0x00007f31d5c09d8c in start_thread (arg=0x7f31a3bc8700) at pthread_create.c:304
#19 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#20 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f31bcddf700 (LWP 4927)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31b3bd646d in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#2  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#3  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#4  0x00007f31b3be178f in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#5  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#6  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#7  0x00007f31c2b6f826 in ?? () from /usr/lib/libgstbase-0.10.so.0
#8  0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#9  0x00007f31c2b6f826 in ?? () from /usr/lib/libgstbase-0.10.so.0
#10 0x00007f31c2de6a14 in gst_pad_push () from /usr/lib/libgstreamer-0.10.so.0
#11 0x00007f31b3bd73fd in ?? () from /usr/lib/gstreamer-0.10/libgstcoreelements.so
#12 0x00007f31c2e0cf80 in ?? () from /usr/lib/libgstreamer-0.10.so.0
#13 0x00007f31d4835d96 in ?? () from /lib/libglib-2.0.so.0
#14 0x00007f31d4833664 in ?? () from /lib/libglib-2.0.so.0
#15 0x00007f31d5c09d8c in start_thread (arg=0x7f31bcddf700) at pthread_create.c:304
#16 0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f319ad65700 (LWP 4948)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f319ad64ac0 in ?? ()
#2  0x00007fff963ff7b2 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 2 (Thread 0x7f31992b5700 (LWP 4949)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f31d110faf2 in ?? () from /usr/lib/libQtWebKit.so.4
#2  0x00007f31d5c09d8c in start_thread (arg=0x7f31992b5700) at pthread_create.c:304
#3  0x00007f31da12139d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f31dd6f97a0 (LWP 4658)):
[KCrash Handler]
#6  0x00007f31994da5f2 in PhotosEngine::metadataChanged (this=0x315a320, track=<value optimized out>) at ../../../../../src/context/engines/photos/PhotosEngine.cpp:118
#7  0x00007f31dcc9296e in Meta::Track::notifyObservers (this=0x2604440) at ../../../src/core/meta/Meta.cpp:327
#8  0x00007f31b27a6dcc in SqlRegistry::commitDirtyTracks (this=0x22fd720) at ../../../../../../src/core-impl/collections/db/sql/SqlRegistry.cpp:783
#9  0x00007f31b27b8c31 in Meta::SqlTrack::commitMetaDataChanges (this=0x2604440) at ../../../../../../src/core-impl/collections/db/sql/SqlMeta.cpp:1036
#10 0x00007f31b27baeff in Meta::SqlTrack::endMetaDataUpdate (this=0x2604440) at ../../../../../../src/core-impl/collections/db/sql/SqlMeta.cpp:784
#11 0x00007f31b27af7f4 in Meta::SqlTrack::finishedPlaying (this=0x2604440, playedFraction=1) at ../../../../../../src/core-impl/collections/db/sql/SqlMeta.cpp:1145
#12 0x00007f31dc68088e in EngineController::slotAboutToFinish (this=0x1dd8f60) at ../../src/EngineController.cpp:960
#13 0x00007f31dc6874cd in EngineController::qt_metacall (this=0x1dd8f60, _c=QMetaObject::InvokeMetaMethod, _id=39, _a=0x7fff96398040) at ./EngineController.moc:204
#14 0x00007f31daa4dbb8 in QMetaObject::activate (sender=0x1e1aad0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3280
#15 0x00007f31d71e6080 in Phonon::MediaObjectPrivate::_k_aboutToFinish (this=0x1de47a0) at ../../phonon/mediaobject.cpp:429
#16 0x00007f31d71e665e in Phonon::MediaObject::qt_metacall (this=0x1e1aad0, _c=QMetaObject::InvokeMetaMethod, _id=21, _a=0x7fff96398190) at ./moc_mediaobject.cpp:143
#17 0x00007f31daa4dbb8 in QMetaObject::activate (sender=0x228b220, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3280
#18 0x00007f31c30963f8 in Phonon::Gstreamer::MediaObject::qt_metacall (this=0x228b220, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff963982a0) at ./moc_mediaobject.cpp:160
#19 0x00007f31daa4dbb8 in QMetaObject::activate (sender=0x228d210, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3280
#20 0x00007f31daa4c779 in QObject::event (this=0x228d210, e=<value optimized out>) at kernel/qobject.cpp:1183
#21 0x00007f31db3f6024 in QApplicationPrivate::notify_helper (this=0x1d67d30, receiver=0x228d210, e=0x7fff963989a0) at kernel/qapplication.cpp:4445
#22 0x00007f31db3fa95a in QApplication::notify (this=<value optimized out>, receiver=0x228d210, e=0x7fff963989a0) at kernel/qapplication.cpp:4324
#23 0x00007f31dd1096b6 in KApplication::notify (this=0x7fff96398c60, receiver=0x228d210, event=0x7fff963989a0) at ../../kdeui/kernel/kapplication.cpp:311
#24 0x00007f31daa38aec in QCoreApplication::notifyInternal (this=0x7fff96398c60, receiver=0x228d210, event=0x7fff963989a0) at kernel/qcoreapplication.cpp:732
#25 0x00007f31daa664c2 in sendEvent (this=0x1d6ddb0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#26 QTimerInfoList::activateTimers (this=0x1d6ddb0) at kernel/qeventdispatcher_unix.cpp:603
#27 0x00007f31daa63308 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#28 idleTimerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:231
#29 0x00007f31d480bcfd in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#30 0x00007f31d480c4e8 in ?? () from /lib/libglib-2.0.so.0
#31 0x00007f31d480c779 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#32 0x00007f31daa639cf in QEventDispatcherGlib::processEvents (this=0x1bee920, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#33 0x00007f31db49bf9e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#34 0x00007f31daa37ed2 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#35 0x00007f31daa3810c in QEventLoop::exec (this=0x7fff96398c10, flags=...) at kernel/qeventloop.cpp:201
#36 0x00007f31daa3c51b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#37 0x0000000000409c51 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:268

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-02-04 23:22:46 UTC
English, please!
Comment 2 Sergio Casagrande 2011-02-07 11:50:58 UTC
Excuse me, but the examples during bug report was in italian and italian is more simple for me.
The bug is:
During song play I deleted the file with canc (it moved into trash).
Amarok play all the deleted song but at the end, when it have to change to next song, it crashed.
I hope that my poor english is more clear of italian ;).
Thank you.
Comment 3 Joachim Mairböck 2011-04-13 19:27:02 UTC
Created attachment 58922 [details]
New crash information added by DrKonqi

amarok (2.4.0.90) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Amarok crashed on song change, but not because of deleting the song. However, I did a full rescan of the collection (from the configuration dialog) while a song was playing because there were some items missing in the local collection, probably the database had some hiccups (but that's a different bug).

-- Backtrace (Reduced):
#7  0x9c94b1ef in PhotosEngine::metadataChanged (this=0x98a74a8, track=...) at /usr/src/debug/amarok-2.4.0.90/src/context/engines/photos/PhotosEngine.cpp:118
#8  0xb727ba30 in Meta::Track::notifyObservers (this=0xab028df0) at /usr/src/debug/amarok-2.4.0.90/src/core/meta/Meta.cpp:324
#9  0xaa30915d in SqlRegistry::commitDirtyTracks (this=0x87e33d0) at /usr/src/debug/amarok-2.4.0.90/src/core-impl/collections/db/sql/SqlRegistry.cpp:790
#10 0xaa31d3cf in Meta::SqlTrack::commitMetaDataChanges (this=0xab028df0) at /usr/src/debug/amarok-2.4.0.90/src/core-impl/collections/db/sql/SqlMeta.cpp:1036
#11 0xaa31f7bf in Meta::SqlTrack::endMetaDataUpdate (this=0xab028df0) at /usr/src/debug/amarok-2.4.0.90/src/core-impl/collections/db/sql/SqlMeta.cpp:784
Comment 4 Myriam Schweingruber 2011-04-14 11:53:57 UTC
Confirmed by duplicate.
Comment 5 Sergey Ivanov 2011-04-27 23:23:40 UTC
Git commit 6d417d4c724eea93339730ddff8dad351d72bc39 by Sergey Ivanov.
Committed on 27/04/2011 at 22:52.
Pushed by ivanov into branch 'master'.

Fixed Photos applet crash on track metadata change.
BUG: 265395
FIXED-IN: 2.4.1

M  +1    -0    ChangeLog     
M  +1    -1    src/context/engines/photos/PhotosEngine.cpp     

http://commits.kde.org/amarok/6d417d4c724eea93339730ddff8dad351d72bc39